Subject: bug#59347: 29.0.50; `:family` face setting ignored

From: Gregory Heytings <[email-masked]>
Date: Tue, 22 Nov 2022 13:46:12 +0000

>
> What happens with the recipe in bug#37473 after this change?
>

It works as expected: the font is initially not anti-aliased, the mode 
line is not anti-aliased, and everything remains not anti-aliased when 
scaling.

>
> And can you somehow tell how many fonts does Emacs examine with and 
> without this change?
>

That depends on the number of fonts installed on the system, of course. 
Also note that that's what Emacs has been doing for ~8 years after 
bf0d3f76dc (except that the situation was worse: after setting _all_ 
attributes to nil, more fonts are examined).